package cn.com.qmth.examcloud.core.basic.api.client;

import org.examcloud.core.basic.api.DemoServiceProvider;
import org.examcloud.core.basic.api.request.GetXxxReq;
import org.examcloud.core.basic.api.response.GetXxxResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

@Service
public class DemoServiceClient extends BasicClientSupport implements DemoServiceProvider {

	private static final long serialVersionUID = -7456923008162697199L;

	@Autowired
	RestTemplate restTemplate;

	@Override
	public GetXxxResp getXxx(GetXxxReq req) {

		return get("demo/getXxx", GetXxxResp.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

}
